
From: Christoph Hellwig <hch@lst.de>

Driver already sets fops->owner so the open/close methods are entirely
superflous.


---

 25-akpm/arch/cris/arch-v10/drivers/pcf8563.c |   18 ------------------
 1 files changed, 18 deletions(-)

diff -puN arch/cris/arch-v10/drivers/pcf8563.c~kill-mod_incdec_use_count-gunk-in-arch-cris-arch-v10-drivers-pcf8563c arch/cris/arch-v10/drivers/pcf8563.c
--- 25/arch/cris/arch-v10/drivers/pcf8563.c~kill-mod_incdec_use_count-gunk-in-arch-cris-arch-v10-drivers-pcf8563c	Fri May  7 15:11:55 2004
+++ 25-akpm/arch/cris/arch-v10/drivers/pcf8563.c	Fri May  7 15:11:55 2004
@@ -53,14 +53,10 @@ static const unsigned char days_in_month
 	{ 0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };
 
 int pcf8563_ioctl(struct inode *, struct file *, unsigned int, unsigned long);
-int pcf8563_open(struct inode *, struct file *);
-int pcf8563_release(struct inode *, struct file *);
 
 static struct file_operations pcf8563_fops = {
 	.owner = THIS_MODULE,
 	.ioctl = pcf8563_ioctl,
-	.open = pcf8563_open,
-	.release = pcf8563_release,
 };
 
 unsigned char
@@ -269,19 +265,5 @@ pcf8563_ioctl(struct inode *inode, struc
 	return 0;
 }
 
-int 
-pcf8563_open(struct inode *inode, struct file *filp)
-{
-	MOD_INC_USE_COUNT;
-	return 0;
-}
-
-int
-pcf8563_release(struct inode *inode, struct file *filp)
-{
-	MOD_DEC_USE_COUNT;
-	return 0;
-}
-
 module_init(pcf8563_init);
 module_exit(pcf8563_exit);

_
